/*
Theme Name: Beaver Builder Child Theme
Theme URI: http://www.wpbeaverbuilder.com
Version: 1.0
Description: An example child theme that can be used as a starting point for custom development.
Author: The Beaver Builder Team
Author URI: http://www.fastlinemedia.com
template: bb-theme
*/

/* Add your custom styles here... */ 

/******************
Customize Fonts
*******************/
html { 
   -webkit-font-smoothing: antialiased;
   -moz-osx-font-smoothing: grayscale;
}

body, p {
	font-family: futura-pt, sans-serif;
    text-rendering: optimizeLegibility !important;
    -webkit-font-smoothing: antialiased !important;
}

h1, h2, h3, h4, h5 {
	font-family: futura-pt, sans-serif;
}
body {
	font-size: 22px;
}
p {
font-size: 1em;
font-weight: 400;
}
h1 {
font-size: 2.4em;
}
h2 {
	font-size: 2.25em;
}
h3 {
font-size: 1.5em;
}
h4 {
font-size: 1.125em;
}
@media (max-width: 992px) {
  h1 {
  font-size: 1.8em;
  }
  h2 {
    font-size: 1.6em;
  }
  h3 {
  font-size: 1.4em;
  }
  h4 {
  font-size: 1.125em;
  }

}
.fl-rich-text p a {
  text-decoration: underline;
  color: #5d5d5d;
}

/***************************
General BBuilder Overrides
****************************/
@media (max-width: 768px) {
    body .fl-col-small {
      max-width: none;
    }
}
/*************************
Custom Elements
***************************/

/*Wide Teaser*/
body .schub-teaser-wide-image {
    align-items: flex-start;
    -webkit-box-align: flex-start;
    -webkit-box-pack: flex-start;
    justify-content: flex-start;
  }
/*Narrow Teaser*/
.schub-teaser-narrow-image .fl-photo-content {
box-shadow: 40px -40px 0 0 #96C8F0;
background: #5d5d5d;
}

/*************************
Two Column Text 
*************************/
.schub-2-col .fl-rich-text {
  column-count: 2;
}
/*.schub-2-col .fl-rich-text p {
-webkit-column-break-inside: avoid;
          page-break-inside: avoid;
               break-inside: avoid;
}
*/
@media (max-width: 768px) {
  .schub-2-col .fl-rich-text {
  column-count: 1;
  }
}
/************************
Gravity Forms Styling
*************************/
/*General*/
body .gform_wrapper input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file]) {
    display: block;
    width: 100%;
    padding: 6px 12px;
    font-size: 18px;
    line-height: 1.428571429;
    vertical-align: middle;
    -moz-transition: all ease-in-out .15s;
    -webkit-transition: all ease-in-out .15s;
    transition: all ease-in-out .15s;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
    box-shadow: none;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
}
/*Light BG*/
body .gform_wrapper .light-bg input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file]) {
    color: #5d5d5d;
    background-color: #fcfcfc;
    background-image: none;
    border: 1px solid #e6e6e6;
}
body .gform_wrapper .light-bg input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file])::-webkit-input-placeholder { /* Chrome/Opera/Safari */
  color: #5d5d5d;
}
body .gform_wrapper .light-bg input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file])::-moz-placeholder { /* Firefox 19+ */
  color: #5d5d5d;
}
body .gform_wrapper .light-bg input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file]):-ms-input-placeholder { /* IE 10+ */
  color: #5d5d5d;
}
body .gform_wrapper .light-bg input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file]):-moz-placeholder { /* Firefox 18- */
  color: #5d5d5d;
}

/*Dark BG*/
body .gform_wrapper .dark-bg input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file]) {
	color: #ffffff;
    background-color: transparent;
    background-image: none;
    border: 1px solid #ffffff;
}
body .gform_wrapper .dark-bg input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file]):focus {
	background-color: rgba(255,255,255,0.15);
    border: 2px solid #ffffff;
}
body .gform_wrapper .dark-bg input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file])::-webkit-input-placeholder { /* Chrome/Opera/Safari */
  color: #ffffff;
}
body .gform_wrapper .dark-bg input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file])::-moz-placeholder { /* Firefox 19+ */
  color: #ffffff;
}
body .gform_wrapper .dark-bg input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file]):-ms-input-placeholder { /* IE 10+ */
  color: #ffffff;
}
body .gform_wrapper .dark-bg input:not([type=radio]):not([type=checkbox]):not([type=submit]):not([type=button]):not([type=image]):not([type=file]):-moz-placeholder { /* Firefox 18- */
  color: #ffffff;
}
/*Center Submit Button*/
.gform_wrapper .gform_footer {
    text-align: center;
}
/*****************************************
Buttons Beaver Builder - Maybe Split?
******************************************/
body .fl-page button, body .fl-responsive-preview-content button, body .fl-page input[type=button], body .fl-responsive-preview-content input[type=button], body .fl-page input[type=submit], body .fl-responsive-preview-content input[type=submit], body .fl-page a.fl-button, body .fl-responsive-preview-content a.fl-button {
	background-color: transparent;
    color: #ffffff;
    border-style: solid;
    border-width: 2px;
    border-color: #ffffff;
    border-radius: 0px;
    -moz-transition: all ease-in-out .15s;
    -webkit-transition: all ease-in-out .15s;
    transition: all ease-in-out .15s;
    font-size: 1em;
}
body .fl-page button:hover, body .fl-responsive-preview-content button:hover, body .fl-page input[type=button]:hover, body .fl-responsive-preview-content input[type=button]:hover, body .fl-page input[type=submit]:hover, body .fl-responsive-preview-content input[type=submit]:hover, body .fl-page a.fl-button:hover, body .fl-responsive-preview-content a.fl-button:hover {
	background-color: #ffffff;
    color: #96C8F0;
    border-style: solid;
    border-width: 2px;
    border-color: #96C8F0;
    border-radius: 0px;
    font-size: 1em;
}
/******************
Custom List Styles
*******************/
.schub-custom-list ul, .schub-numbered-list ul {
    list-style-type: none;
}
.schub-custom-list ul li:before  {
  font-family: 'Font Awesome 5 Free';
    content: '\f1d8';
    left:-40px;
    position:absolute;
    font-weight: 300;
}
.schub-custom-list ul li  {
  margin: 0px 0px 20px 0px;
  position:relative;
  font-weight: 300;
}
.schub-numbered-list ul li  {
  margin: 0px 0px 20px 0px;
  position:relative;
  font-weight: 300;
}
.schub-numbered-list ul li i  {
  position:absolute;
  left: -40px;
  font-weight: 400;
  font-size: 1.1em;
}
.schub-numbered-list ul li i:after  {
    content: '';
    position: absolute;
    bottom: -0.2rem;
    left: 0;
    width: 100%;
    height: .15rem;
    background: #fff;
  }
/***************
WPML-Styling
****************/
body .fl-builder-content .menu-item.wpml-ls-item a {
color: #CDCDCD;
}
body .fl-builder-content .menu-item.wpml-ls-item a:hover {
color: #5d5d5d;
}
body .fl-builder-content .menu-item.wpml-ls-item.wpml-ls-current-language a {
color: #5d5d5d;
}
@media (min-width: 992px) {
body .menu-item.wpml-ls-item a {
padding-left: 25px;
padding-right:5px;
}
body .menu-item.wpml-ls-item:last-child a {
padding-left: 5px;
padding-right:25px;
}